POST V1/Inventory.{ext}/WidgetNavigation

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.WidgetNavigation
NameDescriptionTypeAdditional information
DashboardId

No description available

integer

None.

WidgetId

No description available

integer

None.

FeatureId

No description available

integer

None.

FeatureGUID

No description available

string

None.

Row

No description available

integer

None.

Column

No description available

integer

None.

WidgetNavigationId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "dashboardId": 1,
  "widgetId": 2,
  "featureId": 3,
  "featureGUID": "sample string 4",
  "row": 5,
  "column": 6,
  "widgetNavigationId": 7
}

application/xml, text/xml

Sample:
<WidgetNavigation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Column>6</Column>
  <DashboardId>1</DashboardId>
  <FeatureGUID>sample string 4</FeatureGUID>
  <FeatureId>3</FeatureId>
  <Row>5</Row>
  <WidgetId>2</WidgetId>
  <WidgetNavigationId>7</WidgetNavigationId>
</WidgetNavigation>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.